using View_by_Distance.Shared.Models.Properties;

namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IResult
{

    string TestStatic_GetRelativePath(IAAConfiguration aAConfiguration, string path) =>
        GetRelativePath(aAConfiguration, path);
    static string GetRelativePath(IAAConfiguration aAConfiguration, string path) =>
        XResult.GetRelativePath(aAConfiguration, path);

    string TestStatic_GetResultsGroupDirectory(IAAConfiguration aAConfiguration, string description, bool create) =>
        GetResultsGroupDirectory(aAConfiguration, description, create);
    static string GetResultsGroupDirectory(IAAConfiguration aAConfiguration, string description, bool create) =>
        XResult.GetResultsGroupDirectory(aAConfiguration, description, create);

    string TestStatic_GetResultsGroupDirectory(IAAConfiguration aAConfiguration, string description) =>
        GetResultsGroupDirectory(aAConfiguration, description);
    static string GetResultsGroupDirectory(IAAConfiguration aAConfiguration, string description) =>
        XResult.GetResultsGroupDirectory(aAConfiguration, description, create: true);

    string TestStatic_GetResultsDateGroupDirectory(IAAConfiguration aAConfiguration, string description) =>
        GetResultsDateGroupDirectory(aAConfiguration, description);
    static string GetResultsDateGroupDirectory(IAAConfiguration aAConfiguration, string description) =>
        XResult.GetResultsDateGroupDirectory(aAConfiguration, description);

    string TestStatic_GetResultsDateGroupDirectory(IAAConfiguration aAConfiguration, string description, string jsonGroup) =>
        GetResultsDateGroupDirectory(aAConfiguration, description, jsonGroup);
    static string GetResultsDateGroupDirectory(IAAConfiguration aAConfiguration, string description, string jsonGroup) =>
        XResult.GetResultsDateGroupDirectory(aAConfiguration, description, jsonGroup);

    List<string> TestStatic_GetDirectoryInfoCollection(IAAConfiguration aAConfiguration, string sourceDirectory, string dateGroupDirectory, string contentDescription, string singletonDescription, string collectionDescription, bool converted) =>
        GetDirectoryInfoCollection(aAConfiguration, sourceDirectory, dateGroupDirectory, contentDescription, singletonDescription, collectionDescription, converted);
    static List<string> GetDirectoryInfoCollection(IAAConfiguration aAConfiguration, string sourceDirectory, string dateGroupDirectory, string contentDescription, string singletonDescription, string collectionDescription, bool converted) =>
        XResult.GetDirectoryInfoCollection(aAConfiguration, sourceDirectory, dateGroupDirectory, contentDescription, singletonDescription, collectionDescription, converted);

    string TestStatic_GetResultsFullGroupDirectory(IAAConfiguration aAConfiguration, string description, string outputResolution, bool includeResizeGroup, bool includeModel, bool includePredictorModel) =>
        GetResultsFullGroupDirectory(aAConfiguration, description, outputResolution, includeResizeGroup, includeModel, includePredictorModel);
    static string GetResultsFullGroupDirectory(IAAConfiguration aAConfiguration, string description, string outputResolution, bool includeResizeGroup, bool includeModel, bool includePredictorModel) =>
        XResult.GetResultsFullGroupDirectory(aAConfiguration, description, outputResolution, includeResizeGroup, includeModel, includePredictorModel);

    List<string> TestStatic_GetDirectoryInfoCollection(IAAConfiguration aAConfiguration, string sourceDirectory, string description, string outputResolution, bool includeResizeGroup, bool includeModel, bool includePredictorModel, string contentDescription, string singletonDescription, string collectionDescription) =>
        GetDirectoryInfoCollection(aAConfiguration, sourceDirectory, description, outputResolution, includeResizeGroup, includeModel, includePredictorModel, contentDescription, singletonDescription, collectionDescription);
    static List<string> GetDirectoryInfoCollection(IAAConfiguration aAConfiguration, string sourceDirectory, string description, string outputResolution, bool includeResizeGroup, bool includeModel, bool includePredictorModel, string contentDescription, string singletonDescription, string collectionDescription) =>
        XResult.GetDirectoryInfoCollection(aAConfiguration, sourceDirectory, description, outputResolution, includeResizeGroup, includeModel, includePredictorModel, contentDescription, singletonDescription, collectionDescription);

}